//+------------------------------------------------------------------+
//|                                        i_GMMA_Long_Gistogram.mq4 |
//|                                       Copyright  2010, dmmikl86 |
//|                                                   mhs_86@mail.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, dmmikl86"
#property link      "mhs_86@mail.ru"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 SaddleBrown


//---- buffers
double ExtMapBuffer1[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_HISTOGRAM,EMPTY,2);
   SetIndexBuffer(0,ExtMapBuffer1);
   
//----
   return(0);
  }

int deinit()
  {
   return(0);
  }

int start()
  {
   int i,limit,counted_bars=IndicatorCounted();
   double ma1, ma2, ma3, ma4, ma5, ma6, ma1_1, ma2_1, ma3_1, ma4_1, ma5_1, ma6_1;
   
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
   
   for(i=0; i<limit; i++){
      ma1=iMA(NULL,0,30,0,MODE_EMA,PRICE_CLOSE,i);
      ma1_1=iMA(NULL,0,30,0,MODE_EMA,PRICE_CLOSE,i+1);
      ma2=iMA(NULL,0,35,0,MODE_EMA,PRICE_CLOSE,i);
      ma2_1=iMA(NULL,0,35,0,MODE_EMA,PRICE_CLOSE,i+1);
      ma3=iMA(NULL,0,40,0,MODE_EMA,PRICE_CLOSE,i);
      ma3_1=iMA(NULL,0,40,0,MODE_EMA,PRICE_CLOSE,i+1);
      ma4=iMA(NULL,0,45,0,MODE_EMA,PRICE_CLOSE,i);
      ma4_1=iMA(NULL,0,45,0,MODE_EMA,PRICE_CLOSE,i+1);
      ma5=iMA(NULL,0,50,0,MODE_EMA,PRICE_CLOSE,i);
      ma5_1=iMA(NULL,0,50,0,MODE_EMA,PRICE_CLOSE,i+1);
      ma6=iMA(NULL,0,60,0,MODE_EMA,PRICE_CLOSE,i);
      ma6_1=iMA(NULL,0,60,0,MODE_EMA,PRICE_CLOSE,i+1);
      
      ExtMapBuffer1[i] = (ma1-ma1_1)+(ma2-ma2_1)*1.2+(ma3-ma3_1)*1.4+(ma4-ma4_1)*1.6+(ma5-ma5_1)*1.8+(ma6-ma6_1)*2;
   }
   

   return(0);
  }